libkysdk-applications (3.0.1.0-ok0.28) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修正编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 21 Jan 2026 11:13:18 +0800

libkysdk-applications (3.0.1.0-ok0.27) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 同步v11 3.0.1.0-0k0.50 版本

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Tue, 20 Jan 2026 14:46:15 +0800

libkysdk-applications (3.0.1.0-ok0.26) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修正编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Sat, 06 Dec 2025 14:36:07 +0800

libkysdk-applications (3.0.1.0-ok0.25) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 同步v11 3.0.1.0-0k0.44 版本

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Sat, 06 Dec 2025 13:52:33 +0800

libkysdk-applications (3.0.1.0-ok0.24) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 同步v11 3.0.1.0-0k0.27 版本

 -- Jie Liu <liujie01@kylinos.cn>  Thu, 18 Sep 2025 09:53:44 +0800

libkysdk-applications (3.0.1.0-ok0.23) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修复UkuiWindowhelper设置部分接口在X下不生效的问题

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 19 Aug 2025 18:50:57 +0800

libkysdk-applications (3.0.1.0-ok0.22) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 同步改动

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 19 Aug 2025 14:25:37 +0800

libkysdk-applications (3.0.1.0-ok0.21) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 同步改动

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 08 Aug 2025 14:35:40 +0800

libkysdk-applications (3.0.1.0-ok0.1) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 调整部分控件dt值 并适配部分dt，修复2603部分已知问题

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 05 Jun 2025 17:36:21 +0800

libkysdk-applications (3.0.1.0-ok0.1) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 调整部分控件dt值 并适配部分dt，修复2603部分已知问题

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 05 Jun 2025 17:36:21 +0800

libkysdk-applications (3.0.1.0-ok0.0) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 同步v11-2603 3.0.1.0-0k0.5改动

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Fri, 16 May 2025 16:58:08 +0800

libkysdk-applications (2.5.2.0-0k3.11) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修复ukuiStartupManager析构时空指针崩溃问题

 -- Jie Liu <liujie01@kylinos.cn>  Wed, 07 May 2025 08:40:01 +0800

libkysdk-applications (2.5.2.0-0k3.11) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修复ukuiStartupManager析构时空指针崩溃问题

 -- Jie Liu <liujie01@kylinos.cn>  Wed, 07 May 2025 08:40:01 +0800

libkysdk-applications (2.5.2.0-0k3.10) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修复showTileFlyout重复调用时不起作用的问题

 -- Jie Liu <liujie01@kylinos.cn>  Tue, 06 May 2025 17:36:41 +0800

libkysdk-applications (2.5.2.0-0k3.9) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修复showTileFlyout重复调用时不起作用的问题

 -- Jie Liu <liujie01@kylinos.cn>  Fri, 02 May 2025 14:36:17 +0800

libkysdk-applications (2.5.2.0-0k3.8) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : Add support for showTileFlyout and setDecorationState

 -- Jie Liu <liujie01@kylinos.cn>  Tue, 29 Apr 2025 16:50:03 +0800

libkysdk-applications (2.5.2.0-0k3.7) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 代码结构调整

 -- Jie Liu <liujie01@kylinos.cn>  Tue, 22 Apr 2025 15:41:50 +0800

libkysdk-applications (2.5.2.0-0k3.6) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 代码结构调整

 -- Jie Liu <liujie01@kylinos.cn>  Thu, 17 Apr 2025 15:48:38 +0800

libkysdk-applications (2.5.2.0-0k3.5) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修复removeTitleBar接口对QWindow类型使用崩溃的问题

 -- Jie Liu <liujie01@kylinos.cn>  Tue, 15 Apr 2025 11:43:21 +0800

libkysdk-applications (2.5.2.0-0k3.4) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 支持startupgeometry设置

 -- Jie Liu <liujie01@kylinos.cn>  Thu, 10 Apr 2025 16:09:01 +0800

libkysdk-applications (2.5.2.0-0k3.3) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修复编译clang-format造成的编译错误

 -- Jie Liu <liujie01@kylinos.cn>  Tue, 08 Apr 2025 12:51:19 +0800

libkysdk-applications (2.5.2.0-0k3.2) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : update libkysdk-waylandhelper.symbols

 -- Jie Liu <liujie01@kylinos.cn>  Wed, 19 Mar 2025 16:35:14 +0800

libkysdk-applications (2.5.2.0-0k3.1) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : ukuiwindowhelper模块接口形式调整

 -- Jie Liu <liujie01@kylinos.cn>  Wed, 19 Mar 2025 16:01:52 +0800

libkysdk-applications (2.5.2.0-0k3.0) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 支持ukui-shell协议

 -- Jie Liu <liujie01@kylinos.cn>  Mon, 17 Mar 2025 13:09:05 +0800

libkysdk-applications (2.5.2.0-0k2.0) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : #31773 【UKUI Framework】【Design Token】UKUI Design Token开发规范适配
   * 其他改动 :  无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 08 Jan 2025 16:47:41 +0800

libkysdk-applications (2.5.2.0-0k1.1) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 :  修正编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 05 Dec 2024 17:45:33 +0800

libkysdk-applications (2.5.2.0-0k1.0) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : #30832 子任务号 383489【2024】基础组件组周例会待办&平时任务&OEM临时任务 / 【KDragWidget控件开发】 
   * 其他改动 :  修改协议名称

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 05 Dec 2024 17:12:28 +0800

libkysdk-applications (2.5.2.0-0k0.5) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 :  修改协议名称

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 29 Nov 2024 14:39:50 +0800

libkysdk-applications (2.5.2.0-0k0.4) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 :  增加授权弹窗层级

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 28 Nov 2024 17:30:08 +0800

libkysdk-applications (2.5.2.0-0k0.3) huanghe; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 :  修正翻译问题 、更新symbols文件、更新man手册

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 14 Nov 2024 10:22:02 +0800

libkysdk-applications (2.5.2.0-0k0.2) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 :  修正编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 13 Nov 2024 15:11:12 +0800

libkysdk-applications (2.5.2.0-0k0.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 :  修正编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 30 Oct 2024 09:41:05 +0800

libkysdk-applications (2.5.2.0-0k0.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : #27393 #27397 #27389 #27385 #27398 #27388 #27394 #27395 #27387 #27396 #27390 #28406 #28400 #28402 #28395 #28410 #28409 #28408 #28407 #28405 #28404 #28401 #28396 #28394 #28390 #31208 #31204 #31203 #31202 #31201 #31200 #21341
   * 其他改动 :  无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Tue, 29 Oct 2024 15:56:08 +0800

libkysdk-applications (2.5.1.0-0k8.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : #28487 自研应用新增使用反馈入口，同时支持应用崩溃时自动弹窗提示反馈，提升用户反馈意愿
   * 其他改动 :  无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Mon, 21 Oct 2024 14:25:40 +0800

libkysdk-applications (2.5.1.0-0k7.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 :  增加自研协议的最低支持版本约束

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 06 Sep 2024 16:17:16 +0800

libkysdk-applications (2.5.1.0-0k7.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : #27518 【好用工程】【任务号：199300】系统重置密码功能
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 28 Aug 2024 15:47:45 +0800

libkysdk-applications (2.5.1.0-0k6.8) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修正密码框、进度条、面包屑、tabbar在维哈柯语言下的ui显示效果

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 31 Jul 2024 11:09:38 +0800

libkysdk-applications (2.5.1.0-0k6.7) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 修正ThemeController.cpp维哈柯语言判断

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Tue, 30 Jul 2024 10:40:21 +0800

libkysdk-applications (2.5.1.0-0k6.6) nile; urgency=medium

   * BUG号 : #IAAW34 【主要】【哈柯】【键盘】速度和延迟功能错误
					  #IAAVXG 【主要】【哈柯】【鼠标】滚轮速度、双击间隔时长、指针速度设置、光标速度功能错误
					  #IAAMFW 【主要】【哈柯】【字体】自动大小功能设置错误
					  #I9RX69 【次要】【gg-维哈柯】【字体】哈维柯语言下，恢复默认设置字体显示大号
					  #I9RX3S 【主要】【gg-维哈柯】【字体】哈维柯语言下，字体界面默认显示大号字体
					  #I9RIOR 【次要】【系统监视器】【维吾尔文】自定义优先级按钮处字体截断
					  #I9KKDQ 【次要】【gg-维哈柯】【账户信息】维哈柯语言下，控制面板-账户信息页面布局不正确
   * 需求号 : 无
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Mon, 29 Jul 2024 15:31:19 +0800

libkysdk-applications (2.5.1.0-0k6.5) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 更新编译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 23 Jul 2024 16:44:51 +0800

libkysdk-applications (2.5.1.0-0k6.4) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 解决编译问题

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 23 Jul 2024 16:44:51 +0800

libkysdk-applications (2.5.1.0-0k6.3) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加获取屏幕信息相关接口

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 23 Jul 2024 09:27:19 +0800

libkysdk-applications (2.5.1.0-0k6.2) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 解决编译问题

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 19 Jul 2024 13:47:13 +0800

libkysdk-applications (2.5.1.0-0k6.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 解决编译问题

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 19 Jul 2024 11:07:38 +0800

libkysdk-applications (2.5.1.0-0k6.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加根据pid获取窗口id接口
                增加根据窗口标题获取窗口id接口

 -- sunzhen <sunzhen1@kylinos.cn>  Wed, 17 Jul 2024 17:38:52 +0800

libkysdk-applications (2.5.1.0-0k5.2) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 回退改动

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 11 Jul 2024 18:43:49 +0800

libkysdk-applications (2.5.1.0-0k5.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 取消对桌面窗口的过滤

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 11 Jul 2024 14:01:28 +0800

libkysdk-applications (2.5.1.0-0k5.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加根据pid获取窗口id接口
                增加根据窗口标题获取窗口id接口

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 11 Jul 2024 10:50:51 +0800

libkysdk-applications (2.5.1.0-0k4.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加设置窗口图标接口
                openUnderCursor接口增加偏移量设置`

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 28 Jun 2024 09:51:23 +0800

libkysdk-applications (2.5.1.0-0k3.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加highlight设置接口
                适配新版本ukui-blur协议
                适配wlcom中iconchanged图片格式处理
                增加openUnderCursor接口

 -- sunzhen <sunzhen1@kylinos.cn>  Wed, 12 Jun 2024 10:24:43 +0800

libkysdk-applications (2.5.1.0-0k2.3) nile; urgency=medium

   * BUG号 : #I9JWAU 【gg-维哈柯】【软件商店】维哈柯语言搜索栏未从右至左布局
					  #I9JTET【gg-维哈柯】【次要】【系统监视器】切换哈维柯语言搜索栏内输入文字未从右向左
   * 需求号 : 无
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Fri, 31 May 2024 17:12:01 +0800

libkysdk-applications (2.5.1.0-0k2.2) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 解决屏幕热插拔后导致自研组件崩溃的问题

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 31 May 2024 14:50:40 +0800

libkysdk-applications (2.5.1.0-0k2.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 解决屏幕热插拔后导致自研组件崩溃的问题

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 31 May 2024 11:37:38 +0800

libkysdk-applications (2.5.1.0-0k2.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加ukui-blur协议支持

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 28 May 2024 20:27:03 +0800

libkysdk-applications (2.5.1.0-0k1.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加设置窗口层级接口、独占键盘接口

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 21 May 2024 08:33:54 +0500

libkysdk-applications (2.5.1.0-0k0.3) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : add setStartupGeometry interface

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 20 May 2024 06:58:26 +0500

libkysdk-applications (2.5.1.0-0k0.2) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 解决获取位置接口传入无效句柄时导致崩溃的问题

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 17 May 2024 11:03:55 +0800

libkysdk-applications (2.5.1.0-0k0.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 增加ukui协议支持

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 16 May 2024 09:59:04 +0800

libkysdk-applications (2.4.1.0-0k0.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : 无
   * 其他改动 : 删除编译依赖，解决arm编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 24 Apr 2024 17:43:34 +0800

libkysdk-applications (2.4.1.0-0k0.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 : #17341 主题框架-输入框-交互动效
					#27385 【好用工程】【ai 攻关】SDK KSearchLineedit中增加智能语义按钮
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 27 Mar 2024 17:21:04 +0800

libkysdk-applications (2.3.2.0-0k0.8) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 更新symbols文件

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Wed, 28 Feb 2024 11:14:35 +0800

libkysdk-applications (2.3.2.0-0k0.7) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 修复编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Tue, 20 Feb 2024 14:31:12 +0800

libkysdk-applications (2.3.2.0-0k0.6) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 修复启典主题控件ui问题,更新翻译文件字段

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Mon, 19 Feb 2024 14:51:37 +0800

libkysdk-applications (2.3.2.0-0k0.5) nile; urgency=medium

   * BUG号 : #I73IWR 【开始菜单】【wayland】打开开始菜单，任务栏出现一个无具体图标的开始菜单应用图标
   * 需求号 :  无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 22 Jan 2024 16:21:23 +0800

libkysdk-applications (2.3.2.0-0k0.4) nile; urgency=medium

   * BUG号 : #209068 【wlcom】【SDK】关于窗口的关闭按钮显示不正确
   * 需求号 :  无
   * 其他改动 : 无

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Fri, 19 Jan 2024 15:04:26 +0800

libkysdk-applications (2.3.2.0-0k0.3) nile; urgency=medium

  * Format the control file and fix the wrong lib name.

 -- handsome_feng <jianfengli@ubuntukylin.cn>  Wed, 10 Jan 2024 10:10:34 +0800

libkysdk-applications (2.3.2.0-0k0.2) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 新增symbols文件

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 21 Dec 2023 14:16:55 +0800

libkysdk-applications (2.3.2.0-0k0.1) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 修正编译错误

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Fri, 15 Dec 2023 17:56:10 +0800

libkysdk-applications (2.3.2.0-0k0.0) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 新增kysdk-appconf2模块

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Tue, 05 Dec 2023 10:19:19 +0800

libkysdk-applications (2.3.1.0-0k0.6) nile; urgency=medium

   * BUG号 : #I8GA7H【设计走查】大尺寸任务栏选项下，开启&未开启的应用图标大小不一
   * 需求号 :  无
   * 其他改动 : 修复启典主题下ui走查问题
							 新增新版窗体规范

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Tue, 05 Dec 2023 10:19:19 +0800

libkysdk-applications (2.3.1.0-0k0.5) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  #22671 【交互动效】【通用控件】线条分段导航动效
					   #24985 【设计走查】SDK侧启典主题适配
					   #24691 新增多语言支持：维、哈、柯、蒙、藏、繁体
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Mon, 13 Nov 2023 17:42:07 +0800

libkysdk-applications (2.3.1.0-0k0.4) nile; urgency=medium

   * BUG号 : 无
   * 需求号 :  #22671 【交互动效】【通用控件】线条分段导航动效
					   #24985 【设计走查】SDK侧启典主题适配
					   #24691 新增多语言支持：维、哈、柯、蒙、藏、繁体
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Fri, 10 Nov 2023 16:16:49 +0800

libkysdk-applications (2.3.1.0-0k0.3) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 修正侧边栏无法设置高度的问题
							x修改2.3waylandhelper模块新增信号的处理方式

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 09 Nov 2023 10:46:05 +0800

libkysdk-applications (2.3.1.0-0k0.2) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : 同步主线代码

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 12 Oct 2023 16:07:28 +0800

libkysdk-applications (2.3.1.0-0k0.1) yangtze; urgency=medium

   * BUG号 : #I5XI1O 【声音】【控制面板】【任务栏】控制面板声音及任务栏声音界面不支持键盘、鼠标滚轮调节音量条
             #I7VMPD 【声音】【控制面板】每次打开控制面板-声音界面，输出输入音量条均处于最左侧位置（滑动鼠标后显示正常）
             #【任务栏】任务栏为大尺寸时，打开的应用图标会变小
   * 需求号 :  无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Wed, 20 Sep 2023 11:34:06 +0800

libkysdk-applications (2.3.1.0-0k0.0) yangtze; urgency=medium

   * BUG号 : 无
   * 需求号 :  无
   * 其他改动 : waylandhelper模块新增2.3需求接口和信号

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 18 Aug 2023 10:05:47 +0800

libkysdk-applications (2.2.1.0-0k0.7) v101; urgency=medium

   * BUG号 : 无
   * 需求号 :   无
   * 其他改动 : 修改关于对话框大小
							  增加蒙古文翻译修改	

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Thu, 03 Aug 2023 17:50:35 +0800

libkysdk-applications (2.2.1.0-0k0.6) v101; urgency=medium

   * BUG号 : 无
   * 需求号 :   无
   * 其他改动 : 恢复appcommon包

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 03 Aug 2023 10:24:26 +0800

libkysdk-applications (2.2.1.0-0k0.5) v101; urgency=medium

   * BUG号 : 无 
   * 需求号 :   无
   * 其他改动 : 修改埋点接口

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 31 Jul 2023 09:54:41 +0800

libkysdk-applications (2.2.1.0-0k0.4) v101; urgency=medium

   * BUG号 : #136614 【wayland】【打印机】【窗口】打印机应用窗口有双标题栏，且部分子窗口标题栏没有汉化显示为英文(必现) 
   * 需求号 :   无
   * 其他改动 : 去掉和印主题下kaboutdialog、kballontip的圆角样式

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 13 Jul 2023 16:46:34 +0800

libkysdk-applications (2.2.1.0-0k0.3) v101; urgency=medium

   * BUG号 : #I6YH07 【字体】字体选择为中文字体后，左侧滑动条发生变化
   * 需求号 :   无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 07 Jul 2023 10:20:53 +0800

libkysdk-applications (2.2.1.0-0k0.2) v101; urgency=medium

   * BUG号 : 无
   * 需求号 :   无
   * 其他改动 : 更新upstream 2.2.1.0

 -- liuxiangwei <liuxiangwei@kylinos.cn>  Mon, 03 Jul 2023 11:24:49 +0800

libkysdk-applications (2.1.1.0-0k0.9) v101; urgency=medium

   * BUG号 : #I78VHC 软件商店最大化功能不正常
             #I7BJDD 【扫描】wayland下最大化窗口显示在左上角
             #I7BJ2Y 【影音】wayland下最大化窗口显示在左上角
             #I69USC  【文件管理器】wayland下最大化窗口显示在左上角
   * 需求号 :   无
   * 其他改动 : 修改资源文件名称，防止与应用资源文件重名

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 16 Jun 2023 15:28:10 +0800

libkysdk-applications (2.1.1.0-0k0.8) v101; urgency=medium

   * BUG号 : 无
   * 需求号 :   无
   * 其他改动 : 解决编译报错

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 16 Jun 2023 10:25:02 +0800

libkysdk-applications (2.1.1.0-0k0.7) v101; urgency=medium

   * BUG号 : 无
   * 需求号 :   无
   * 其他改动 : 同步upstream2.1.1.0

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 29 May 2023 20:08:33 +0800

libkysdk-applications (2.0.2.1-0k0.8) yangtze; urgency=medium

  * rebuild without any changes.

 -- handsome_feng <jianfengli@ubuntukylin.cn>  Mon, 12 Jun 2023 18:11:56 +0800

libkysdk-applications (2.0.2.1-0k0.7) yangtze; urgency=medium

   * BUG号 : 无
   * 任务号 : 无
   * 其他改动 : 修改窗口hide之后再show窗管标题栏复现的问题

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 15 May 2023 11:41:00 +0800

libkysdk-applications (2.0.2.1-0k0.6) yangtze; urgency=medium

  * No-change rebuild.

 -- zhouganqing <zhouganqing@kylinos.cn>  Thu, 11 May 2023 16:10:34 +0800

libkysdk-applications (2.0.2.1-0k0.5) yangtze; urgency=medium

   * BUG号 : KSearchLineEdit 添加reloadStyle()接口
   * 任务号 : 无
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 06 Apr 2023 14:03:26 +0800

libkysdk-applications (2.0.0.0-1k4) yangtze; urgency=medium

   * BUG号 : 同步平板sdk至openkylin
   * 任务号 : 无
   * 其他改动 : 无

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Tue, 14 Mar 2023 16:42:19 +0800

libkysdk-applications (2.0.0.0-1k3) yangtze; urgency=medium

   * BUG号 : 回退去除双标题栏接口的修改，规避issue#I69UVW
   * 任务号 : 无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 12 Jan 2023 10:28:12 +0800

libkysdk-applications (2.0.0.0-1k2) yangtze; urgency=medium

   * BUG号 : 解决wayland下通过托盘激活窗口后，窗口出现双标题栏的问题
   * 任务号 : 无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 05 Dec 2022 11:29:55 +0800

libkysdk-applications (2.0.0.0-1k1) yangtze; urgency=medium

   * BUG号 : 无
   * 任务号 : 同步平板需求#16213
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 02 Dec 2022 14:20:06 +0800

libkysdk-applications (2.0.0.0-0k4) yangtze; urgency=medium

   * BUG号 :  issue#I5XDPZ 【看图】 PC模式最大化按钮不生效
   * 任务号 : 无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 01 Nov 2022 11:49:44 +0800

libkysdk-applications (2.0.0.0-0k3) yangtze; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : 调整模块编译顺序

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 20 Oct 2022 16:42:46 +0800

libkysdk-applications (2.0.0.0-0k2) yangtze; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : 解决包构建失败问题

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 20 Oct 2022 16:12:46 +0800

libkysdk-applications (2.0.0.0-0k1) yangtze; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : qtwidgets模块，完善控件ktranslucentfloor;
                qtwidgets模块，增加控件kbubblewidget;
                waylandhelper模块，增加判断桌面是否处于显示状态接口;
                waylandhelper模块，增加设置窗口在所有桌面中显示接口;
                waylandhelper模块，增加判断窗口在所有桌面中显示接口;

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 20 Oct 2022 14:56:43 +0800
 
libkysdk-applications (1.2.0.13-0k5) yangtze; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : 添加头文件引用，解决编译失败问题

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 14 Oct 2022 16:30:16 +0800 

libkysdk-applications (1.2.0.13-0k4) yangtze; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : 解决平台构建失败问题

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 14 Oct 2022 15:01:16 +0800 

libkysdk-applications (1.2.0.13-0k1) yangtze; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : 1.同步2209上的bug修改 2.新增SDKv2.0需求控件

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 14 Oct 2022 11:17:45 +0800

libkysdk-applications (1.2.0.8-0k2~0920) yangtze; urgency=medium

   * BUG号 : #137159 解决窗口设置尺寸后，窗管标题栏不能及时去掉的问题
             #136614 解决kwidget,kdialog在wayland下存在双标题栏的问题
   * 任务号 : 无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 20 Sep 2022 17:04:49 +0800

libkysdk-applications (1.2.0.8-0k1~0830) yangtze; urgency=medium

   * BUG号 : #133531 解决英文模式最大字号下备份还原的关于页面下方显示不全的问题
						 #132947 解决修改字体为大号后，关于界面字体显示不全的问题
             #130035 解决英文系统15号字体下，麒麟管家应用名显示不全的问题
             #132228 解决首次连接网络提示弹窗版面间隔与设计不相符的问题
             #132225 解决加入其他网络的弹窗标题栏与规范不一致的问题
             #129892【安全中心】英文系统，信任区扩展名处显示不全，搜索框也显示不全
             #129884 【安全中心】英文系统，添加文件扩展名处文案显示不全且使用的是中文标点符号
             #105490 解决tooltips响应区域不合理的问题
						 #126149 解决打印队列页面最大化后，光标悬浮在最大化按钮的悬浮提示未变成还原（英文模式也是如此的问题）
             #127765  自研控件KBadge未跟随系统强调色改变
						 #127390  自严控件KBreadcrumb悬浮颜色未跟随系统强调色改变
						 #127365  自研控件环形进度条未跟随系统强调色改变
						 #127363  自研控件KTabbar在系统强调色改变后，会重置应用设定的背景色
						 #127358  自研控件KPixmapContainer控件未跟随系统强调色改变
						 #127391  自研控件强调色未跟随系统强调色改变
						 #127377  自研控件鼠标悬浮色未跟随系统强调色改变
						 #127350  自研控件KToolButton边框颜色未跟随系统强调色改变
						 #127362  自研控件KTag颜色未跟随系统强调色改变
						 #127373  自研控件KSwitchButton颜色在和印主题下未跟随系统强调色改变
						 #128819  #128672 #118852  #118808 补全自研控件中的藏文翻译
             #126149  修复KDialog最大化按钮显示错误的问题
						 #125514  修复关于对话框英文模式15号字体时显示不全的问题
						 #124496  修复关于对话框主内容区域排版问题
             #122780  调整导航栏样式
						 #123497  修改KTabbar间距
						 #114746  修改搜索框样式
   * 任务号 : 无
   * 其他改动 : 更正动态库版本号

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 30 Aug 2022 17:33:46 +0800

libkysdk-applications (1.2.0.3-0k2~0719) yangtze; urgency=medium

  * Fix build errors
  * BUG: #127771 解决kylin-app-manager无法收到窗口创建信号以及wayland下窗口
                 删除时窗口列表未更新的问题；
  * close-cd #129994，应用程序调用SDK接口去除窗管标题栏不生效的问题 ;
  * close-cd #125354, 解决调用SDK接口设置窗口位置偶现失效的问题
  * close-cd #125354，设置位置偶现失效的问题
  * 添加skipTaskBr,skipSwitcher接口

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 08 Jun 2022 10:43:59 +0800

libkysdk-applications (1.2.0.3-0k0) v101; urgency=medium

  * 修改为quilt格式

 -- Xie Wei <xiewei@kylinos.cn>  Mon, 06 Jun 2022 15:17:36 +0800

libkysdk-applications (1.2.0.3) v101; urgency=medium

   * BUG号 :  #120862  解决密码输入框的状态指示框切换异常的问题
						 #122062   #121760 修改无边框按钮常规状态下的颜色
   * 任务号 : 无
   * 其他改动 : 修改waylandhelper模块中removeHeader()接口的内部实现

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 06 Jun 2022 10:14:42 +0800

libkysdk-applications (1.2.0kylin2) v101; urgency=medium

   * BUG号 :  #120785 kysdk-waylandhelper模块中，WindowManager::windows()在wayland环境无效
              #120783 libkysdk-qtwidgets1.2.0kylin1包不满足二进制兼容
              #120056 testWindowManager,选择窗口类型为tool与drawer ,点击获取窗口类型，无返回值
              #118520 testinputdialog，inputmulti没有文字框

   * 任务号 : 无
   * 其他改动 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 24 May 2022 14:13:50 +0800

libkysdk-applications (1.2.0kylin1) v101; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : kysdk v1.2版本发布

 -- sunzhen <sunzhen1@kylinos.cn>  Sun, 15 Mar 2022 15:55:42 +0800

libkysdk-applications (1.1.0kylin1) v101; urgency=medium

   * BUG号 :  无
   * 任务号 : 无
   * 其他改动 : kysdk v1.1版本发布

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 22 Apr 2022 10:41:42 +0800

libkysdk-applications (1.0.0kylin12) v101; urgency=medium

   *kysdk-qtwidgets模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :   修改knavigationbar导航栏的背景色

   *kysdk-kabase模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :   增加单例测试接口

   *kysdk-waylandhelper模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :   Initial release

 -- sunzhen <sunzhen1@kylinos.cn>  Mon, 11 Apr 2022 13:54:42 +0800

libkysdk-applications (1.0.0kylin11) v101; urgency=medium

   *kysdk-qtwidgets模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :   1.修改ktabbar实现方式，去掉stylesheet,采用painter绘制；
                  2.修改kballontip显示效果

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 31 Mar 2022 15:50:42 +0800

libkysdk-applications (1.0.0kylin10) v101; urgency=medium

   *kysdk-qtwidgets模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :    增加klistview控件

 -- wangzhenyu <wangzhenyu@kylinos.cn>  Thu, 24 Mar 2022 16:21:42 +0800

libkysdk-applications (1.0.0kylin9) v101; urgency=medium

 * kysdk-kabase模块:
   * BUG号 : 无 
   * 任务号 : 无
   * 其他改动 : 添加图片编解码接口 .
   * 其他改动影响域 : 无

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 28 Feb 2022 14:11:42 +0800

libkysdk-applications (1.0.0kylin8) v101; urgency=medium

   * kysdk-kabase模块:
   * Initial release.

 -- jishengjie <jishengjie@kylinos.cn>  Mon, 24 Jan 2022 14:11:42 +0800

 libkysdk-applications (1.0.0kylin7) v101; urgency=medium

   *kysdk-qtwidgets模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :    增加KTag  面包屑 评论框控件三类新控件

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 14 Jan 2022 11:17:42 +0800

 libkysdk-applications (1.0.0kylin6) v101; urgency=medium

        *kysdk-widgetutils模块：
  	* Initial release 

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 06 Jan 2022 14:11:42 +0800

 libkysdk-applications  (1.0.0kylin5) v101; urgency=medium

   *kysdk-qtwidgets模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :     1.增加并列关系的Slider
  							     2.修改KSwitchbutton，KSlider的三态颜色
   * 其他改动影响域 : 无


 -- sunzhen <sunzhen1@kylinos.cn>  Tue, 21 Dec 2021 14:11:42 +0800

 libkysdk-applications  (1.0.0kylin4) v101; urgency=medium

  *Bug号：#96862 #96834 #96736 #96717 #96683 #96635 #96340 #95892
  *需求号：无
  *其他改动 ：
   1、增加控件对系统字体变化的响应
   2、修改窗口三联样式
   3、修改tabbar三态样式
   4、kwidget侧边栏增加毛玻璃效果；增加调整窗口布局结构的函数接口

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 16 Dec 2021 09:29:42 +0800

 libkysdk-applications (1.0.0kylin3) v101; urgency=medium

   *kysdk-qtwidgets模块：
   * BUG号 :  无 
   * 任务号 : 无
   * 其他改动 :   1.丰富searchlineedit接口
                  2.ballontip增加边框
                  3.调整关于对话框detail显示
                  4.关于对话框邮箱地址增加超级链接
   * 其他改动影响域 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Thu, 18 Nov 2021 16:40:42 +0800

 libkysdk-applications  (1.0.0kylin2) v101; urgency=medium

   *kysdk-qtwidgets模块：
   * BUG号 :  #90812 #90597 #90590 #90588 #90587 
   * 任务号 : 无
   * 其他改动 : 无
   * 其他改动影响域 : 无

 -- sunzhen <sunzhen1@kylinos.cn>  Sat, 13 Nov 2021 08:53:42 +0800

 libkysdk-applications (1.0.0kylin1) v101; urgency=medium

 *kysdk-qtwidgets模块：
  * Initial release 

 -- sunzhen <sunzhen1@kylinos.cn>  Fri, 05 Nov 2021 22:18:42 +0800
